org.apache.storm.generated

## Enum Nimbus.getTopologyPageInfo_args._Fields

- java.lang.Object
- - java.lang.Enum<Nimbus.getTopologyPageInfo_args._Fields>
  - - org.apache.storm.generated.Nimbus.getTopologyPageInfo_args._Fields

- All Implemented Interfaces:
    Serializable, Comparable<Nimbus.getTopologyPageInfo_args._Fields>, org.apache.storm.thrift.TFieldIdEnum
  Enclosing class:
    Nimbus.getTopologyPageInfo_args

      public static enum Nimbus.getTopologyPageInfo_args._Fields
      extends Enum<Nimbus.getTopologyPageInfo_args._Fields>
      implements org.apache.storm.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ID`
    `IS_INCLUDE_SYS`
    `WINDOW`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Nimbus.getTopologyPageInfo_args._Fields` | `findByName(String name)` Find the _Fields constant that matches name, or null if its not found.
    `static Nimbus.getTopologyPageInfo_args._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static Nimbus.getTopologyPageInfo_args._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static Nimbus.getTopologyPageInfo_args._Fields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Nimbus.getTopologyPageInfo_args._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final Nimbus.getTopologyPageInfo_args._Fields ID

    - #### WINDOW

          public static final Nimbus.getTopologyPageInfo_args._Fields WINDOW

    - #### IS_INCLUDE_SYS

          public static final Nimbus.getTopologyPageInfo_args._Fields IS_INCLUDE_SYS

  - ### Method Detail

    - #### values

          public static Nimbus.getTopologyPageInfo_args._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Nimbus.getTopologyPageInfo_args._Fields c : Nimbus.getTopologyPageInfo_args._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Nimbus.getTopologyPageInfo_args._Fields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### findByThriftId

          public static Nimbus.getTopologyPageInfo_args._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static Nimbus.getTopologyPageInfo_args._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static Nimbus.getTopologyPageInfo_args._Fields findByName(String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`

Copyright © 2019 The Apache Software Foundation. All rights reserved.